%define	name	autopsy
%define	version	1.71
%define	release	4mdk

Summary:	Autopsy Forensic Browser
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.sleuthkit.org
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Patch0:		autopsy-1.71-config.patch.bz2
Group:		System/Base
Requires:	binutils
Requires:	grep
Requires:	perl
Requires:	sleuthkit >= 1.61
Provides: 	perl(conf.pl) perl(define.pl) perl(fs.pl) perl(search.pl) perl(autopsyfunc)
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

%description
The Autopsy Forensic Browser is a graphical interface to the
command line digital forensic analysis tools in The Sleuth Kit.
Together, The Sleuth Kit and Autopsy provide many of the same
features as commercial digital forensics tools for the analysis
of Windows(tm) and UNIX file systems (NTFS, FAT, FFS, EXT2FS, and
EXT3FS).

The Sleuth Kit and Autopsy are both Open Source and run on UNIX
platforms. As Autopsy is HTML-based, the investigator can connect
to the Autopsy server from any platform using an HTML browser.
Autopsy provides a "File Manager"-like interface and shows details
about deleted data and file system structures.

%prep

%setup -q
%patch0 -p1 -b .config

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}/var/log/autopsy
install -d %{buildroot}%{_localstatedir}/morgue
install -d %{buildroot}%{_datadir}/autopsy/{pict,help}

install -m755 base/autopsy.base %{buildroot}%{_sbindir}/autopsy
install -m755 conf.pl %{buildroot}%{_datadir}/autopsy/
install -m755 fs.pl %{buildroot}%{_datadir}/autopsy/
install -m755 define.pl %{buildroot}%{_datadir}/autopsy/
install -m755 search.pl %{buildroot}%{_datadir}/autopsy/
install -m644 base/autopsyfunc.pm.base %{buildroot}%{_datadir}/autopsy/autopsyfunc.pm
install -m644 man/man1/* %{buildroot}%{_mandir}/man1/
install -m644 pict/* %{buildroot}%{_datadir}/autopsy/pict/
install -m644 help/* %{buildroot}%{_datadir}/autopsy/help/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README TODO 
%config(noreplace) %attr(0644,root,root) %{_datadir}/autopsy/conf.pl
%config(noreplace) %attr(0644,root,root) %{_datadir}/autopsy/define.pl
%attr(0755,root,root) %{_datadir}/autopsy/fs.pl
%attr(0755,root,root) %{_datadir}/autopsy/search.pl
%attr(0644,root,root) %{_datadir}/autopsy/autopsyfunc.pm
%attr(0755,root,root) %{_sbindir}/autopsy
%dir /var/log/autopsy
%dir %{_localstatedir}/morgue
%attr(0644,root,root) %{_datadir}/autopsy/pict/*.jpg
%attr(0644,root,root) %{_datadir}/autopsy/help/*.html
%attr(0644,root,root) %{_mandir}/man1/*
%dir  %{_datadir}/autopsy/pict
%dir  %{_datadir}/autopsy/help
%dir  %{_datadir}/autopsy

%changelog

* Mon Aug 04 2003 Michael Scherer <scherer.michael@free.fr> 1.71-4mdk
- own the dir in /usr/share/autopsy, fix distlint warning

* Sun May 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.71-3mdk
- fix provides

* Sun May 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.71-2mdk
- fix provides

* Sun May 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.71-1mdk
- initial cooker contrib
- used ideas from Ralf Spennebergs rpm package
